Could not install NDISwrapper on Qimo 2.0 for

Help
2010-08-04
2012-10-06
  • I am installing ndiswrapper on Qimo 2.0 for kids but there are similar
    problem:

    Cannot find kernel version in lib/modules/2.6.32-21-generic/build, is it configured?
    

    Qimo 2.0 is operational system build on Ubuntu 10.04 LTS

    cat /etc/issue
    Ubuntu 10.04 LTS \n \l
    
    uname -r
    linux nino-laptop 2.6.32-21-generic #32 Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux
    

    Also I have read some solutions of this problem about linking folders but
    problem is that there is no directory:

    lib/modules/2.6.32-21-generic/build
    

    and directory

    /usr/src
    

    is empty, no linux-sources there.

    Can somebody tell me what is the problem?
    Thank in advance

    p.s. I am not experienced user of ubuntu

     
  • Hi,

    I'm not an Ubuntu nor a Qimo User, so maybe I'm wrong in some points.

    If you are using a 32bit system, you probably are better off with using a
    compiled version of ndiswrapper. You can use the package manager (I think it's
    called apt and there's a graphical frontend called synaptic) to look for and
    install this package.

    If you are using a 64bit system or there's no ndiswrapper package for your
    system, you have to compile it yourself. As prerequisites, you need at least
    the kernel headers and a working build environment. You can have a look in
    your package manager for things like kernel-devel or you can install the whole
    kernel source with a package like kernel-source.

    After that, you should find a linux directory and a link to the same directory
    under /usr/src and there must be a link /lib/modules/<<version>>/build to your
    linux directory.

    I hope this gets you started - unfortunately I can't tell you more, because
    that's all I know about Ubuntu